Summarize Node Tree

GET
/v1/nodes/{node_id}/summary

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

node_id*Node Id

Query Parameters

max_nodes?Max Nodes
Default200

Response Body

Successful Response

application/json
  1. response
anchor_node_id*Anchor Node Id
latest_updated_at*string|null
markdown*Markdown
node_count*Node Count
nodes*array<>
root_node_ids*array<string>
[key: string]?any
Example Request
curl -X GET 'https://flywheel.paradigma.inc/api/v1/nodes/string/summary'
Example Response
{  "anchor_node_id": "string",  "latest_updated_at": "string",  "markdown": "string",  "node_count": 0,  "nodes": [    {      "artifact_count": 0,      "depth": 0,      "execution_count": 0,      "node_id": "string",      "summary": "string",      "title": "string",      "updated_at": "string"    }  ],  "root_node_ids": [    "string"  ]}